<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>addresses</title>
    <link th:href="@{'https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css'}" rel="stylesheet">
    <link th:href="@{'https://cdn.jsdelivr.net/gh/kartik-v/bootstrap-star-rating@4.1.2/css/star-rating.min.css'}"
          media="all" rel="stylesheet" type="text/css"/>
    <script th:src="@{'https://unpkg.com/@popperjs/core@2'}"></script>
    <link rel="stylesheet" th:href="@{'https://use.fontawesome.com/releases/v5.7.2/css/all.css'}"
          crossorigin="anonymous">
    <script th:src="@{'https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js'}"></script>
    <script th:src="@{/jquery-3.6.0.js}"></script>
    <script th:src="@{/rater.js}"></script>
    <link rel="stylesheet"
          th:href="@{'https://cdn.jsdelivr.net/npm/bootstrap-select@1.14.0-beta3/dist/css/bootstrap-select.min.css'}">
    <script th:src="@{'https://cdn.jsdelivr.net/npm/bootstrap-select@1.14.0-beta3/dist/js/bootstrap-select.min.js'}"></script>

</head>
<body>
<div th:include="/navbar::content"></div>

<div class="container">

    <h1>Addresses List</h1>
    <button type="button" class="btn btn-outline-primary" data-bs-toggle="modal"
            data-bs-target="#addModal">
        Add address
    </button>
    <div class="row">
        <br>
        <br>
        <div class="table-responsive">
            <table class="table table-striped align-middle">
                <thead>
                <tr>
                    <th class="text-center">Address id</th>
                    <th class="text-center">Address</th>
                    <th class="text-center">Address2</th>
                    <th class="text-center">District</th>
                    <th class="text-center">City</th>
                    <th class="text-center">Postal Code</th>
                    <th class="text-center">Phone number</th>
                    <th class="text-center">Last update</th>
                    <th class="text-center">Actions</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="address : ${addresses}">
                    <td class="text-center" th:text="${address.addressId}"></td>
                    <td class="text-center" th:text="${address.address}"></td>
                    <td class="text-center" th:text="${address.address2}"></td>
                    <td class="text-center" th:text="${address.district}"></td>
                    <td class="text-center" th:text="${address.cityTitle}"></td>
                    <td class="text-center" th:text="${address.postalCode}"></td>
                    <td class="text-center" th:text="${address.phone}"></td>
                    <td class="text-center" th:text="${#temporals.format(address.lastUpdate, 'dd-MM-yyyy HH:mm')}"></td>

                    <td>
                        <button type="button"
                                class="btn btn-sm btn-primary fas fa-pencil-alt noUnderlineCustom text-black-50"
                                data-bs-toggle="modal"
                                th:attr="data-bs-target=${'#editModal'+ address.addressId}"
                                data-row="${address}"></button>
                        <button type="button"
                                class="btn  btn-sm btn-success fas fa-solid fa-trash noUnderlineCustom text-black-50"
                                data-bs-toggle="modal"
                                th:attr="data-bs-target=${'#deleteModal'+address.addressId}"
                                data-row="${address}"></button>
                    </td>

                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

<!--Modal edit-->
<div class="modal fade" th:each="row : ${addresses}" th:attr="id=${'editModal' + row.addressId}" tabindex="-1"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-" id="eModalLabel">Update address</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form th:action="@{/address/update}" method="post">
                <input hidden="hidden" name="addressId" th:value="${row.addressId}">
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="addressId1" class="form-label" th:text="'Input address : '"></label>
                        <input type="text" class="form-control" id="addressId1" name="address"
                               th:value="${row.address}">
                    </div>
                    <div class="mb-3">
                        <label for="address2id1" class="form-label" th:text="'Input address2 : '"></label>
                        <input type="text" class="form-control" id="address2Id1" name="address2"
                               th:value="${row.address2}">
                    </div>
                    <div class="mb-3">
                        <label for="districtId" class="form-label" th:text="'Input district : '"></label>
                        <input type="text" class="form-control" id="districtId" name="district"
                               th:value="${row.district}">
                    </div>
                    <div class="mb-3">
                        <label for="select-city1" class="form-label" th:text="'city: '"></label>
                        <select id="select-city1" class="selectpicker" name="cityId">
                            <option th:each="city : ${cities}"
                                    th:value="${city.cityId}"
                                    th:text="${city.cityTitle}"></option>
                        </select>
                    </div>
                    <div class="mb-3">
                        <label for="postalCodeId" class="form-label" th:text="'Input postalCode : '"></label>
                        <input type="text" class="form-control" id="postalCodeId" name="postalCode"
                               th:value="${row.postalCode}">
                    </div>
                    <div class="mb-3">
                        <label for="phoneId" class="form-label" th:text="'Input phone : '"></label>
                        <input type="text" class="form-control" id="phoneId" name="phone"
                               th:value="${row.phone}">
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </div>
            </form>
        </div>
    </div>
</div>


<!--Modal delete-->
<div class="modal fade" th:each="row : ${addresses}" th:attr="id=${'deleteModal' + row.addressId}" tabindex="-1"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-" id="dModalLabel" th:text="'Delete address: ' + ${row.address}"></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form th:action="@{/address/delete}" method="post">
                <div class="modal-body">
                    <input hidden="hidden" name="addressId" th:value="${row.addressId}">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-danger">Delete</button>
                </div>
            </form>
        </div>
    </div>
</div>


<div th:if="${addresses.getTotalPages() > 1}">
    <div class="row col-sm-12">
        <div class="col-sm-2">
            Total Rows: [[${addresses.getTotalElements()}]]
        </div>
        <div class="col-sm-10">
                    <span th:each="i: ${#numbers.sequence(1, addresses.getTotalPages())}">
      <a th:if="${addresses.getNumber()  != i -1 }" th:href="@{'/address/list?page=' + ${i - 1}}">[[${i}]]</a>
      <span th:unless="${addresses.getNumber()   != i -1 }">[[${i}]]</span> &nbsp; &nbsp;
                    </span>
        </div>
    </div>
</div>


<!--Modal add-->
<div class="modal fade" th:each="row : ${addresses}" id="addModal" tabindex="-1" aria-labelledby="addModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-" id="addModalLabel">Add address</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form th:action="@{/address/add}" method="post">
                <div class="modal-body">
                    <div class="modal-body">
                        <div class="mb-3">
                            <label for="addressId1" class="form-label" th:text="'Input address : '"></label>
                            <input type="text" class="form-control" id="addressId" name="address"
                                   th:value="${row.address}">
                        </div>
                        <div class="mb-3">
                            <label for="address2id" class="form-label" th:text="'Input address2 : '"></label>
                            <input type="text" class="form-control" id="address2Id" name="address2"
                                   th:value="${row.address2}">
                        </div>
                        <div class="mb-3">
                            <label for="districtId1" class="form-label" th:text="'Input district : '"></label>
                            <input type="text" class="form-control" id="districtId1" name="district"
                                   th:value="${row.district}">
                        </div>
                        <div class="mb-3">
                            <label for="select-city" class="form-label" th:text="'city: '"></label>
                            <select id="select-city" class="selectpicker" name="cityId">
                                <option th:each="city : ${cities}"
                                        th:value="${city.cityId}"
                                        th:text="${city.cityTitle}"></option>
                            </select>
                        </div>
                        <div class="mb-3">
                            <label for="postalCodeId1" class="form-label" th:text="'Input postalCode : '"></label>
                            <input type="text" class="form-control" id="postalCodeId1" name="postalCode"
                                   th:value="${row.postalCode}">
                        </div>
                        <div class="mb-3">
                            <label for="phoneId1" class="form-label" th:text="'Input phone : '"></label>
                            <input type="text" class="form-control" id="phoneId1" name="phone"
                                   th:value="${row.phone}">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save changes</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>
